text
stringlengths
2.5k
6.39M
kind
stringclasses
3 values
set -e set -u usage() { echo "Usage: ${0} \\" echo " --key-location <KEY> --user-name <USER> \\" echo " --layout-file <FILE> --producers <NUM> --workers <NUM> \\" echo " --run-time <DURATION> --tq-per-vm <NUM> \\" echo " [--locust-timeout <SEC>] [--logs-dir <DIR>]" ...
the_stack
_cleanString_() { # DESC: # Cleans a string of text # ARGS: # $1 (Required) - String to be cleaned # $2 (optional) - Specific characters to be removed (separated by commas, # escape regex special chars) # OPTS: # -l: Forces all tex...
the_stack
function relpath { python -c "import os.path; print os.path.relpath('$2', '$1')" } export -f relpath function conjureInDir_noDontCare() { OLDWD=$(pwd) pushd "$1" > /dev/null echo "conjureInDir_usesDontCare working in directory: $(relpath $OLDWD $1)" conjure --mode df-no-channelling --in *.essence -...
the_stack
set -euE -o pipefail arg0=${0##*/} readonly arg0 # regex end-of-word boundry if [[ "$(uname)" == Darwin ]]; then re_b='[[:>:]]' else re_b='\b' fi readonly re_b usage() { printf 'Usage: %s stream [-n NAME] < TAP\n' "$arg0" printf ' or: %s cat FILE1.tap FILE2.tap...\n' "$arg0" printf ' or: %s summarize FILE.t...
the_stack
set -e echo "\n\n ✔ Environment Setup Script Triggered Successfully. \n\n " # Environment Variables ROOT_PATH="${ROOT_PATH:="/github/home"}" WORKSPACE_PATH="${WORKSPACE_PATH:="/github/workspace"}" TRES_PATH=${ROOT_PATH}/.config/godot/editor_settings-3.tres # Expected Env Format - EXPORT_PLATFORMS="Android|Linux|Mac...
the_stack
# Copyright (c) 2011-2015 Benjamin Fleischer # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are met: # # 1. Redistributions of source code must retain the above copyright notice, this # lis...
the_stack
if [[ ! $_ble_bash ]]; then echo 'benchmark: Please source from a ble session.' >&2 return 1 fi S=({1..10000}) S1=({1..10}) S2=({1..100}) S3=({1..1000}) S4=({1..10000}) S5=({1..100000}) # 総評: # # 他の行列にコピーする場合には reverse3 が最速である。 # in-place の時は reverse5.1 が最速である。 # # インターフェイスを少し変えると reverse7.2b が最速である。 # # ...
the_stack
# Magic line must be first in script (see README.md) s="$_" ; . ./lib.sh || if [ "$s" = $0 ]; then exit 0; else return 0; fi APPNAME=example fin=$dir/in cfg=$dir/conf_yang.xml fyang=$dir/example.yang clidir=$dir/cli if [ -d $clidir ]; then rm -rf $clidir/* else mkdir $clidir fi # Use yang in example cat <<E...
the_stack
SCRIPT=$(readlink -f "$0") && cd $(dirname "$SCRIPT") # --- Script Init --- mkdir -p log rm -R -f log/* # --- Setup run dirs --- find output -type f -not -name '*summary-info*' -not -name '*.json' -exec rm -R -f {} + mkdir output/full_correlation/ rm -R -f /tmp/%FIFO_DIR%/fifo/* mkdir /tmp/%FIFO_DIR%/fifo/full_cor...
the_stack
APPICON_NAME="AppIcon" # # # Target的序号,第一个target就写0,第二个就写1。 # # Index of the target, the first target is going to be 0, the second one is going to be 1. TARGET_INDEX=0 # # # 编译环境名称 # # Build configuration name TARGET_CONFIGURATION_NAME="Debug" # # # 是否自动增加build number, "F" 不自增, "T" 自增 # # Whether to increase build numb...
the_stack
if [ "$EUID" -ne 0 ] then echo -e ${RED}"Please execute this script with root privileges !" exit fi #Creating tools directory if not exist source ./.env && mkdir -p $TOOLS_DIRECTORY; clear; ENVIRONMENT () { echo -e ${BLUE}"[ENVIRONMENT]" ${RED}"Packages required installation in progress ..."; #Check Operating S...
the_stack
# Example: buildcheck.sh gold.194 # CHANGE LOG # sep 2021 added "-e" flag for quick "show_all_errors" # sep 2021 better detection/reporting of metal short errors # sep 2021 expanded definition of valid error-log filenames function show_help { cat <<EOF Usage: $0 [ -slrtgeah ] <build_dir> -h,--help help -a,--...
the_stack
# Written by Carlo Wood, September/October 2016. function fatal { echo "$0: ERROR: $*" exit 1 } # Make sure we're not having a broken gawk. AWK_VERSION=$(awk -V | head -n 1) if [[ $AWK_VERSION =~ ^GNU\ Awk\ 4\.[0-9]+\.[0-9]+ ]]; then AWK_VERSION=$(echo $AWK_VERSION | sed -e 's/GNU Awk \(4\.[0-9]*\.[0-9]*\).*/\1/')...
the_stack
set -ex export PYTHONPATH="${PYTHONPATH:-../plat:.}" PLATCMD="${PLATCMD:-python ../plat/plat/bin/platcmd.py}" MODEL_FILE="${MODEL_FILE:---model models/celeba_dlib_64_160z_d4_11/celeba_dlib_64_160z_d4_11.zip}" MODEL_INTERFACE="${MODEL_INTERFACE:---model-interface ali.interface.AliModel}" DATASET_VALUE="${DATASET_VALUE...
the_stack
echo echo "Qemu examples & tests." echo "----------------------" echo "Created to test Msys2 Qemu package, known to work for Cygwin and Linux, too." echo "Executed Qemu commandlines will be printed to screen." echo CONFIGFILE="$(realpath ~/".qemu.$(basename $0)")" CONFIGFILENAME="$(basename $CONFIGFILE)" if [ ! -f "$CO...
the_stack
# Description: Demo script to help deploy Flogo apps to Kubernetes # Author: retgits <https://github.com/retgits> # Last Updated: 2018-08-14 #--- Variables --- # These are the variables you want to update. # The root directory to download all artifacts to. It defaults to the current working directory, but you can cha...
the_stack
set -euo pipefail # This fixed UUID is detected in ignition-dracut and changed # on firstboot: # https://github.com/coreos/ignition-dracut/blob/6136be3d9d38d7926a61cd4d1b4ba5f9baf0892f/dracut/30ignition/coreos-gpt-setup.sh#L7 uninitialized_gpt_uuid="00000000-0000-4000-a000-000000000001" # These UUIDs should be changed...
the_stack
# Copyright 2016 Vimal Manohar # 2016 Johns Hopkins University (author: Daniel Povey) # Apache 2.0 # This script demonstrates how to re-segment training data selecting only the # "good" audio that matches the transcripts. # This script is like clean_and_segment_data.sh, but uses nnet3 model instead of # a ...
the_stack
# Copyright (c) 2000, 2010, Oracle and/or its affiliates. All rights reserved. # # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU Library General Public # License as published by the Free Software Foundation; version 2 # of the License. # # This program is distribut...
the_stack
#################################### Scalar ################################### ### Microkernels without unrolling tools/xngen src/f32-spmm/scalar.c.in -D MR=1 -D NR=1 -D UNROLL=1 -o src/f32-spmm/gen/1x1-minmax-scalar.c & tools/xngen src/f32-spmm/scalar.c.in -D MR=2 -D NR=1 -D UNROLL=1 -o src/f32-spmm/gen/2x1-minmax-sc...
the_stack
SUBPROGRAM=osync PROGRAM="$SUBPROGRAM-batch" # Batch program to run osync / obackup instances sequentially and rerun failed ones AUTHOR="(L) 2013-2020 by Orsiris de Jong" CONTACT="http://www.netpower.fr - ozy@netpower.fr" PROGRAM_BUILD=2020031502 ## Runs an osync /obackup instance for every conf file found ## If an in...
the_stack
set -euxo pipefail readonly ATLAS_HOME="/usr/lib/atlas" readonly ATLAS_ETC_DIR="/etc/atlas/conf" readonly ATLAS_CONFIG="${ATLAS_ETC_DIR}/atlas-application.properties" readonly INIT_SCRIPT="/usr/lib/systemd/system/atlas.service" readonly ATLAS_ADMIN_USERNAME="$(/usr/share/google/get_metadata_value attributes/ATLAS_ADM...
the_stack
# ZFS boot menu functions # arg1: log level # arg2: log line # prints: nothing # returns: nothing zlog() { local prefix trace last lines lc i [ -z "${1}" ] && return [ -z "${2}" ] && return # Remove everything but new lines from the string, count the length lines="${2//[!$'\n']/}" lines="${#lines}" lc=...
the_stack
set -x set -o pipefail check_for_positive_result() { if [ $? != 0 ]; then echo "\"$1\"" failed exit 1 else echo "\"$1\"" succeeded fi } check_for_negative_result() { if [ $? == 0 ]; then echo "\"$1\"" failed exit 1 else echo "\"$1\"" succeeded fi } ROOT_PWD=$PWD TEST_PROJECT_LOCAT...
the_stack
SAVE_IFS=$IFS IFS=" " _OVSDB_SERVER_LOCATION="" # Run ovs-vsctl and make sure that ovs-vsctl is always called with # the correct --db argument. _ovs_vsctl () { local _db if [ -n "$_OVSDB_SERVER_LOCATION" ]; then _db="--db=$_OVSDB_SERVER_LOCATION" fi ovs-vsctl ${_db} "$@" } # ovs-vsctl --comma...
the_stack
# Main entry point for all the Dockerfile for jpegxl-builder. This centralized # file helps sharing code and configuration between Dockerfiles. set -eux MYDIR=$(dirname $(realpath "$0")) # libjpeg-turbo. JPEG_TURBO_RELEASE="2.0.4" JPEG_TURBO_URL="https://github.com/libjpeg-turbo/libjpeg-turbo/archive/${JPEG_TURBO_RE...
the_stack
function help { cat <<EOF Usage: $0 [OPTION] <module>,<subgraph>,<subsubgraph>... --steps <step1>,<step2>... Options: -v, --verbose VERBOSE mode -q, --quiet QUIET mode -h, --help help and examples --debug DEBUG mode --branch <b> only run test if in garnet branch <b> (b=regex) -...
the_stack
doInstall() { echo "ORDS Installation Parameters: Oracle XML DB XFiles application." echo "\$ORDS_ROOT : $ORDS_ROOT" echo "\$USER : $USER" echo "\$SERVER : $SERVER" echo "\$DEMOHOME : $demohome" rm -rf "$ORDS_ROOT/home/$USER/src/" rc=$? echo "DELETE "$ORDS_ROOT/home/$USER/sr...
the_stack
####################################################################### # # Linux on Hyper-V and Azure Test Code, ver. 1.0.0 # Copyright (c) Microsoft Corporation # # All rights reserved. # Licensed under the Apache License, Version 2.0 (the ""License""); # you may not use this file except in compliance with the Licen...
the_stack
# Copyright (C) 2010, 2012 Google Inc. # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are # met: # # 1. Redistributions of source code must retain the above copyright notice, # this list of conditions and...
the_stack
# Aggregate conversion outputs into publishable datafiles. # # Up to this point, all processing was done using filenames provided by the dataset source organization. # Put all data into $sourceID-$datasetID-$versionID dump files and construct command appropriate # for lod-materialization. # # # This script is ___NOT___...
the_stack
set -e; BT=${BT-../../bin/bedtools} FAILURES=0; check() { if diff $1 $2; then echo ok else FAILURES=$(expr $FAILURES + 1); echo fail fi } # cat a.bed # chr1 10 20 # chr1 30 40 # chr1 40 50 # chr1 45 100 ########################################################### # Test a basic merge; one interval ...
the_stack
# Use the following to turn the stats for a particular experiment and control the frequency of collection ESXTOP_ALL=1; ESXTOP_ALL_SLEEPTIME="1s"; ESXTOP_SKIP_INTERRUPTS=1; #Minimum sampling time when not skipping interrupts is 5 minutes, but skipping interrupt cookies gives a sampling time of 1 minute ESXTOP_SKIP_CPU...
the_stack
### SYSTEM ARCHITECTURE # Determine the architecture type of this system. # Keep leading tab below -- Configure Black Magic -- RAM, 03/02/97 xxOsRevMajor=`uname -r | sed -e 's/^[^0-9]*//' | cut -d. -f1`; xxOsRevMinor=`uname -r | sed -e 's/^[^0-9]*//' | cut -d. -f2`; xxOsRev=`expr 100 \* $xxOsRevMajor + $xxOsRevMino...
the_stack
# # Verify trapping & emulation on "mount" and "unmount2" syscalls # load ../../helpers/run load ../../helpers/syscall load ../../helpers/docker load ../../helpers/environment load ../../helpers/mounts load ../../helpers/sysbox-health function teardown() { sysbox_log_check } # # Test to verify immutable mounts wi...
the_stack
echo -e "\nBC setting is $BC" if [ "$BC" != "1" ] then echo -e "Pattern is set to $PATTERN" if [ "$PATTERN" == "" ] then # Configure the netspeed service variables, at an older version level just to be sure # that the runtime will still pick them up for the newer version that is installed...
the_stack
BASEDIR=$(dirname $(readlink -f "$0")) showhelp() { cat <<HELP This script repopulates GitLab projects (and other useful stuff) based on the configuration file gitlab_populate.conf and the Puppetfile configured them. The lookup order for the configuration file is cwd, $HOME/gitlab_populate.conf and then /etc/gitlab_p...
the_stack
# Massimo Re Ferre' massimo@it20.info ########################################################### ########### README ########### ########################################################### # This script adds a set of tooling on top of a vanilla EKS cluster # This script is made available f...
the_stack
HERE=$(cd `dirname $0` && pwd) # Import helper subroutines and variables, and init Defects4J source "$HERE/test.include" || exit 1 init # ------------------------------------------------------------- Common functions _check_output() { local USAGE="Usage: _check_output <actual> <expected>" if [ "$#" != 2 ]; then ...
the_stack
# Main tested shells env_common_busybox () ( var TARGET_SHELL="busybox sh" SHELL_PKG="busybox" ) env_common_dash () ( var TARGET_SHELL="dash" SHELL_PKG="dash" ) env_common_bash () ( var TARGET_SHELL="bash" SHELL_PKG="bash" ) env_shell_zsh () ( var TARGET_SHELL="zsh" SHELL_PKG="zs...
the_stack
load $BATS_TEST_DIRNAME/helper/common.bash load $BATS_TEST_DIRNAME/helper/query-server-common.bash make_repo() { mkdir "$1" cd "$1" dolt init cd .. } setup() { setup_no_dolt_init make_repo repo1 mkdir rem1 skip_nbf_dolt_1 cd repo1 dolt remote add remote1 file://../rem1 dolt push r...
the_stack
# Copyright (c) 2015, Plume Design Inc. All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of condition...
the_stack
export DOMAIN_HOME=$DOMAIN_ROOT/$DOMAIN_NAME export WL_HOME=$ORACLE_HOME/wlserver export oid_instance=${INSTANCE_NAME:-oid1} export instance_type=${INSTANCE_TYPE:-PRIMARY} export sleepBeforeConfig=${sleepBeforeConfig:-480} ########### SIGINT handler ############ function _int() { echo "INFO: Stopping container." ec...
the_stack
# This script is adapted from swbd Kaldi run.sh (https://github.com/kaldi-asr/kaldi/blob/master/egs/swbd/s5c/run.sh) and the older s5 (r1) version of this script # Copyright 2018 Kaldi developers (see: https://github.com/kaldi-asr/kaldi/blob/master/COPYING) # Copyright 2018 Language Technology, Universitaet Hamburg (a...
the_stack
# prepare dictionary for aidatatang # it is done for English and Chinese separately, # For English, we use CMU dictionary, and Sequitur G2P # for OOVs, while all englist phone set will concert to Chinese # phone set at the end. For Chinese, we use an online dictionary, # for OOV, we just produce pronunciation using Cha...
the_stack
set -o errexit set -o nounset set -o pipefail # shellcheck disable=SC2155 readonly DIR="$(cd "$(dirname "$0")" && pwd)" readonly HOST_ADDR=${HOST_ADDR:-$("$DIR"/ip.py)} readonly REGISTRY_PORT=${REGISTRY_PORT:-5000} readonly REGISTRY=${REGISTRY:-"${HOST_ADDR}:${REGISTRY_PORT}"} readonly KIND_IMAGE=${KIND_IMAGE:-kindest...
the_stack
set -euo pipefail function die () { # Print the message to standard error end exit with error code specified # by the second argument. # # Hardcoded values: # - The default error message. # Arguments: # - ${1} - The whole error message, be sure to quote. Optional # - ${2} - the code to...
the_stack
# @name Coverity Scan script to check defect status of the GitHub repository. # # This file is a simple script to use the cloud service (scan.coverity.com) of Coverity # that is provided by Synopsys. It means that this script does not handle any exception # situations. # # @author Geunsik Lim <geunsik.lim@samsung.com> ...
the_stack
# Copyright Tsinghua (Author:YiLiu earlier than 2018-10-01) # xmuspeech (Author:Snowdar 2018-10-01) # This script is used to train a multitask xvector network which contains two tasks, speaker/language recognition # and phonetic distinction. And it is not same to the script "runPhoneticXvector.sh"...
the_stack
#__INTERNAL_LOGGING__=true source "$( cd "${BASH_SOURCE[0]%/*}" && pwd )/../lib/oo-bootstrap.sh" namespace seamless Log::AddOutput seamless CUSTOM Log::AddOutput error ERROR #Log::AddOutput oo/parameters-executing CUSTOM alias ~="Exception::CustomCommandHandler" declare -Ag __oo__objectToType declare -Ag __oo__obje...
the_stack
################################################################################# # # # TPM2 regression test # # Written by Ken Goldman # # IBM Thomas J. Watson Research Center # # # # (c) Copyright IBM Corporation 2016 - 2019 # # # # All rights reserved. ...
the_stack
# cbackup: Simple full app + data + metadata backup/restore script for Android # # Required Termux packages: tsu tar sed zstd openssl-tool # Optional packages: pv # # Licensed under the MIT License (MIT) # # Copyright (c) 2020 Danny Lin <danny@kdrag0n.dev> # # Permission is hereby granted, free of charge, to any person...
the_stack
set -u set -e BASE_DIR=$(cd $(dirname $0); pwd -P) DATALOADER_DIR=/opt/dataloader LOG_DIR=$DATALOADER_DIR/logs DEP_FILE=$BASE_DIR/deployment.json FLOW_TEMPLATE=$DATALOADER_DIR/IOT-Trucking-Fleet-Data-Flow-For-SMM.xml LIB_DIR=$DATALOADER_DIR/lib # Producer settings ROUTES_LOCATION=$DATALOADER_DIR/routes/midwest SECUR...
the_stack
# # Copyright 2016 LinkedIn Corp. # # Licensed under the Apache License, Version 2.0 (the "License"); you may not # use this file except in compliance with the License. You may obtain a copy of # the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing,...
the_stack
# NOTE: This script should NOT be executed as SUDO or ROOT .. but as a normal UserID # Check if user is root or sudo ... if so... then exit and tell user. echo echo if [ $(id -u) = 0 ]; then echo "Do NOT run this script SUDO or ROOT... please run as your normal UserID !"; exit 1 ; fi echo echo #====================...
the_stack
basestr="" parallel=4 xargsdbg="" dirs="" pollstr="" # Needed in sub-routines called by xargs export debug=0 export dontrm=0 export compress=0 export undo=0 export OSTYPE="Linux" export MD5CMD=md5sum usage() { echo >&2 "Convert each dir's contents to an .mfem_cat file." echo >&2 "" echo >&2 "usage: $0 [-d...
the_stack
# The directory where the repository will be created REPO=import # Commit label used for verification of parents FIRST_COMMIT='Empty repository at start of Unix Epoch' # Location of archive mirror ARCHIVE=../archive # Used to terminate when git fast-import fails # This ensures the exit from nested subshells set -E t...
the_stack
################################################################################ ############# Deploy Container to DockerHub @admiralawkbar ##################### ################################################################################ # NOTES: This script is used to upload a Dockerfile to DockerHub # under the...
the_stack
# ------------------------------------------------------------------------------------------------ # # This file is part of CosmoScout VR # # and may be used under the terms of the MIT license. See the LICENSE file for details. # # ...
the_stack
#------------------------------------------------------------------------ # Test driver for SQL/MX regression tests. See the USAGE # function for supported syntax and options. Currently this # script is only being used for UDR tests but can probably # be easily extended to work for other components as well. #----------...
the_stack
# Install and start a permanent gs-netcat remote login shell # # This script is typically invoked like this as root or non-root user: # $ bash -c "$(curl -fsSL gsocket.io/x)" # # Pre-set a secret: # $ X=MySecret bash -c "$(curl -fsSL gsocket.io/x)" # Uninstall # $ GS_UNDO=1 bash -c "$(curl -fsSL gsocket.io/x)" # ...
the_stack
############################################################################## # ___ __ # # / _ | ___ ___ _____/ / ___ # # / __ |/ _ \/ _ `/ __/ _ \/ -_) # # ...
the_stack
# Copyright (c) 2015, Plume Design Inc. All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of condition...
the_stack
############################################################################### # # Bash script to automate adaptive JPEG compression using common CLI tools # # Usage: bash adept.sh /path/to/image.jpg # ############################################################################### # # Brief overview of the mode of ope...
the_stack
source tests/helpers.bash TEST_NAME=$(basename "${BATS_TEST_FILENAME}" | cut -d '.' -f 1) # Create a random 10-char string and save it in a file. RANDOM_FILE="/tmp/${CLOUD_FOUNDATION_ORGANIZATION_ID}-${TEST_NAME}.txt" if [[ ! -e "${RANDOM_FILE}" ]]; then RAND=$(head /dev/urandom | LC_ALL=C tr -dc a-z0-9 | head -c...
the_stack
# Bash completion for jlpkg version 1.4.0. # See https://github.com/fredrikekre/jlpkg for details. # Notes to self: # Uses # while IFS='' read -r line; do arr+=("$line"); done < <(cmd) # instead of # mapfile -t arr < <(cmd) # for compatibility with Bash 3. # Guesstimate of what `bash_completion/_init_completion -...
the_stack
################################################################################# # # # TPM2 regression test # # Written by Ken Goldman # # IBM Thomas J. Watson Research Center # # # # (c) Copyright IBM Corporation 2014 - 2020 # # # # All rights reserved. ...
the_stack
source ~/.bashrc SIM_TENANT_NAME=cb-tenant SIM_USER_NAME=cb-user SIM_NETWORK_NAME=cb-tenantnet SIM_SUBNETWORK_NAME=cb-subtenantnet SIM_ROUTER_NAME=cb-router SIM_LBPOOL_NAME=cb-lbpool SIM_LBVIP_NAME=cb-lbvip SIM_LBMEMBER_NAME=cb-lbmember SIM_LB_PROTOCOL=TCP SIM_LB_PROTOCOL_PORT=22 TNSRC_ERROR=0 obj_name=$(cat ${1} |...
the_stack
source ~/.bash_profile #### Install `eksctl` # To get started we'll first install the `awscli` and `eksctl` CLI tools. [eksctl](https://eksctl.io) simplifies the process of creating EKS clusters. pip install awscli --upgrade --user curl --silent --location "https://github.com/weaveworks/eksctl/releases/latest/downlo...
the_stack
set -o allexport source vars/default set +o allexport #------------------------------------------------------------------------------- wait_for_url() { local url=$1 local prefix=${2:-} local wait=${3:-1} local times=${4:-30} which curl >/dev/null || { exit 1 } local i for i in $(se...
the_stack
# V2.9.0 - 25.08.2021 (c) 2019-2021 SBorg # # wertet ein Datenpaket einer WLAN-Wetterstation im Wunderground-/Ecowitt-Format aus, konvertiert dieses und überträgt # die Daten an den ioBroker (alternativ auch an OpenSenseMap, Windy und wetter.com) # # benötigt den 'Simple RESTful API'-Adapter im ioBroker, 'jq' und 'bc' ...
the_stack
set -beEu -o pipefail # all files should be permissions 'rw-' for 'user' 'group' 'other' umask 0 # debugging trace all commands, uncomment this set -x statement: #set -x # # trashCleaner.bash - script to save session user data into a special # area outside of trash, and clean trash after data is saved # # Sequence o...
the_stack
# Permission is hereby granted, free of charge, to any person # obtaining a copy of this software and associated documentation # files (the "Software"), to deal in the Software without # restriction, including without limitation the rights to use, # copy, modify, merge, publish, distribute, sublicense, and/or sell # co...
the_stack
echo "Starting the main menu ..." # CONFIGFILE - configuration of RaspiBlitz configFile="/mnt/hdd/raspiblitz.conf" # INFOFILE - state data from bootstrap infoFile="/home/admin/raspiblitz.info" # MAIN MENU AFTER SETUP source ${infoFile} source ${configFile} # FUNCTIONS confirmation() { local text=$1 local yesBu...
the_stack
## # The MIT License (MIT) # Copyright (c) 2016 Ethan Gaebel <egaebel@vt.edu> # # Permission is hereby granted, free of charge, to any person obtaining a # copy of this software and associated documentation files (the "Software"), # to deal in the Software without restriction, including without limitation # the rig...
the_stack
# MagiskHide Props Config # Copyright (c) 2018-2021 Didgeridoohan @ XDA Developers # Licence: MIT ADBPATH=/data/adb MHPCPATH=$ADBPATH/mhpc if [ "$INSTFN" ]; then LOGFILE=$MHPCPATH/propsconf_install.log else LOGFILE=$MHPCPATH/propsconf.log fi # Checking Magisk Busybox if [ -z "$INSTFN" ] && [ "$BOOTSTAGE" != "post" ...
the_stack
source $(dirname $0)/wftests_host_cluster.sh source $(dirname $0)/wftests_host_expand_mount.sh source $(dirname $0)/common_subs.sh Usage() { echo 'Usage: wftests.sh <sanity conf file path> [vmax2 | vmax3 | vnx | vplex [local | distributed] | xio | unity | vblock | srdf [sync | async]] [-setup(hw) | -setupsim] [-re...
the_stack
HELP_MESSAGE="Usage: configure-vault.sh -c SCRIPT_CONFIGURATION_FILE_PATH -a VAULT_IP_ADDRESS -p {http|https} -v {true|false}" function print_help { echo "$HELP_MESSAGE"; } function log_and_print { local string_to_log="$1"; echo "$(date +"%Y-%m-%d-%H:%M:%S"): $string_to_log" | tee -a /opt/vault/logs/configure...
the_stack
. $srcdir/test-subr.sh testfiles testfile51 testrun_compare ${abs_builddir}/dwarf-getmacros testfile51 0xb <<\EOF file /home/petr/proj/elfutils/pending/elfutils/tests/decom/x.c __STDC__ 1 __STDC_HOSTED__ 1 __GNUC__ 4 __GNUC_MINOR__ 3 __GNUC_PATCHLEVEL__ 2 __GNUC_RH_RELEASE__ 7 __SIZE_TYPE__ long unsigned int ...
the_stack
set -e set -u ENABLE_TLS=$1 CURL=(curl -Lsku admin:${THE_PWD} -H "Accept: application/json" -H "Content-Type: application/json") if [[ $ENABLE_TLS == "yes" ]]; then HTTP_SCHEME="https" NIFI_PORT="8443" RANGER_PORT="6182" else HTTP_SCHEME="http" NIFI_PORT="8080" RANGER_PORT="6080" fi RANGER_API_URL="${HT...
the_stack
## # Bash completion support for twgit. # Dest path: /etc/bash_completion.d/twgit # Install: sudo make install # # # # Copyright (c) 2011 Twenga SA # Copyright (c) 2012-2013 Geoffroy Aubry <geoffroy.aubry@free.fr> # Copyright (c) 2013 Cyrille Hemidy # Copyright (c) 2014 Laurent Toussaint <lt.laurent.toussaint@gmail.com...
the_stack
set -e shopt -s nullglob shopt -s dotglob shopt -s extglob set -o pipefail [[ ${GIMME_DEBUG} ]] && set -x readonly GIMME_VERSION="v1.5.3" readonly GIMME_COPYRIGHT="Copyright (c) 2015-2018 gimme contributors" readonly GIMME_LICENSE_URL="https://raw.githubusercontent.com/travis-ci/gimme/${GIMME_VERSION}/LICENSE" export...
the_stack
if [ "$#" -lt 1 ]; then echo "Please pass the name of the properties file for new tutorial" exit 1 fi TOOLS_HOME=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) KT_HOME=$(dirname "${TOOLS_HOME}") echo "Using ${KT_HOME} as the base directory for your tutorial" PROPS_FILE=$1 if [ ! -f $PROPS_FILE ]; then ...
the_stack
## this script sets up the Azure Machine Learning service workspace using the Azure CLI ## YAML file parser (Adapted from: https://gist.github.com/pkuczynski/8665367) parse_yaml() { local prefix=$2 local s='[[:space:]]*' w='[a-zA-Z0-9_]*' fs=$(echo @|tr @ '\034') sed -ne "s|^\($s\)\($w\)$s:$s\"\(.*\)\"$s\$|\1...
the_stack
# https://www.terraform.io/docs/enterprise/install/automating-the-installer.html # curl -o install.sh https://install.terraform.io/ptfe/stable # bash ./install.sh \ # no-proxy \ # private-address=1.2.3.4 \ # public-address=5.6.7.8 # # This script is meant for quick & easy install via: # 'curl -sSL https...
the_stack
function create_certificates() { echo "Installing test root certificate bundle." echo "Generating edge device certificate" device_name=$(ip route get 8.8.8.8 | sed -n '/src/{s/.*src *\([^ ]*\).*/\1/p;q}') eval device_name=${device_name} echo " Hostname IP: ${device_name}" /certs/certGen.sh cr...
the_stack
# Magic line must be first in script (see README.md) s="$_" ; . ./lib.sh || if [ "$s" = "$0" ]; then exit 0; else return 0; fi APPNAME=example cfg=$dir/conf_yang.xml fyang=$dir/$APPNAME.yang fsubmod=$dir/example-types.yang fyangerr=$dir/err.yang cat <<EOF > $cfg <clixon-config xmlns="http://clicon.org/config"> <CL...
the_stack
mkdir vssr svn co https://github.com/kenzok8/openwrt-packages/trunk/adguardhome svn co https://github.com/project-openwrt/openwrt/branches/openwrt-19.07/package/ctcgfw/gost svn co https://github.com/rufengsuixing/luci-app-adguardhome/trunk ./luci-app-adguardhome svn co https://github.com/project-openwrt/openwrt/branch...
the_stack
# Copyright 2018 Google Inc. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http:#www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agr...
the_stack
exec >installCAPI.log exec 2>&1 sudo apt-get update sudo sed -i "s/PasswordAuthentication no/PasswordAuthentication yes/" /etc/ssh/sshd_config sudo adduser staginguser --gecos "First Last,RoomNumber,WorkPhone,HomePhone" --disabled-password sudo echo "staginguser:ArcPassw0rd" | sudo chpasswd # Injecting environment v...
the_stack
# Copyright (c) 2005, Google Inc. # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are # met: # # * Redistributions of source code must retain the above copyright # notice, this list of conditions and...
the_stack
# Vagrant provisioning script to build up FreeCAD based on OCCT 7 and Salome 7.7.1 on Linux Ubuntu # (c) 2016 Jean-Marie Verdun / vejmarie (vejmarie@ruggedpod.qyshare.com) # Released under GPL v2.0 # Provided without any warranty # Warning: compilation time is long quite long # Must add the autlogin script # Must add a...
the_stack
#------------------------------------------------------------------------------------------------------------------------------ # Configuration, either by changing these values or setting environment variables... # If set to anything but an empty string, then entirely skip syntactic clone detection. : ${syntactic_skip...
the_stack
totalSteps=50 installPath="/Library/Application Support/macOSUpdateHelper/" logFile=$installPath"DEPNotifyUpdateLogs.txt" appLog=$installPath"log.txt" plistFile="/Library/Preferences/com.vmware.macosupdatehelper.plist" managedPrefFile="/Library/Managed Preferences/com.vmware.macosupdatehelper.plist" outputLog=$installP...
the_stack
# Read rerun's public functions . "$RERUN" || { echo >&2 "ERROR: Failed sourcing rerun function library: \"$RERUN\"" return 1 } # Check usage. Argument should be command name. [[ $# = 1 ]] || rerun_option_usage "usage: $0 <command-name>" # Source the option parser script. if [[ -r "$RERUN_MODULE_DIR/commands...
the_stack
1101 linux中刻录iso的方法(hutuworm) 方法一:使用xcdroast,选择制作光碟,选择ISO文件,刻录! 参见http://www.xcdroast.org/xcdr098/faq-a15.html#17 方法二:找刻录机的命令: cdrecord --scanbus 输出结果为: 0,0,0 0) 'ATAPI ' 'CD-R/RW 8X4X32 ' '5.EZ' Removable CD-ROM 刻录的命令: cdrecord -v speed=8 dev=0,0,0 hutuworm.iso 方法三:使用k3b可以刻录CD/DVD k3b主页:http://www.k3b.org/ (实际上k3b是个...
the_stack
check() { if diff <(sort "$1") <(sort "$2"); then echo ok else echo fail exit 1 fi } export -f check ################################################################### # 1. Test basic de_novo functionality ################################################################### printf " de...
the_stack
# Future updates : # # # ##### (Cosmetic) Colour output RED="\033[01;31m" # Issues/Errors GREEN="\033[01;32m" # Success YELLOW="\033[01;33m" # Warnings/Information BLUE="\033[01;34m" # Heading BOLD="\033[01;01m" # Highlight RESET="\033[00m" # Normal ##### help function usage () { ##### ech...
the_stack
# === Variables ====================================================== fwd_dir=$ALICE_PHYSICS/PWGLF/FORWARD/analysis2 dotconf=.config here=${PWD} name= now= sys=0 snn=0 field=0 corrs= noact=0 uuopts= # Latest: 0.91 inel_eff=1 # Latest: 0.94 nsd_eff=1 inelgt0_eff=1 # === Misc. ==========================================...
the_stack
# Copyright 2014 Intel Corporation, All Rights Reserved. # Licensed under the Apache License, Version 2.0 (the"License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # http://www.apache.org/licenses/LICENSE-2.0 # Unless required by applicable law or a...
the_stack